## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 3;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# TODO: Add tests

%global pypi_name cloudscraper

Name:           python-%{pypi_name}
Version:        1.2.62
Release:        %autorelease
Summary:        Python module to bypass Cloudflare's anti-bot page

License:        MIT 
URL:            https://github.com/venomous/cloudscraper
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python3-devel

%global _description %{expand:
A simple Python module to bypass Cloudflare's anti-bot page (also known as "I'm
Under Attack Mode", or IUAM), implemented with Requests. Cloudflare changes
their techniques periodically, so I will update this repo frequently.

This can be useful if you wish to scrape or crawl a website protected with
Cloudflare. Cloudflare's anti-bot page currently just checks if the client
supports Javascript, though they may add additional techniques in the future.

Due to Cloudflare continually changing and hardening their protection page,
cloudscraper requires a JavaScript Engine/interpreter to solve Javascript
challenges. This allows the script to easily impersonate a regular web browser
without explicitly deobfuscating and parsing Cloudflare's Javascript.}

%description %{_description}


%package -n     python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %{_description}


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{pypi_name}


%check
%pyproject_check_import -e cloudscraper.captcha.anticaptcha -e cloudscraper.captcha.capmonster -e cloudscraper.captcha.deathbycaptcha -e cloudscraper.interpreters.js2py -e cloudscraper.interpreters.v8


%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md


%changelog
* Mon Mar 13 2023 Gwyn Ciesla <gwync@protonmail.com> 1.2.62-3
- migrate tp SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 1.2.62-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 27 2022 Lyes Saadi <lyessaadi@fedoraproject.org> 1.2.62-1
- Updating to 1.2.62

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.60-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jul 19 2022 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.2.60-3
- Rebuilt for pyparsing-3.0.9

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.2.60-2
- Rebuilt for Python 3.11

* Tue Mar 15 2022 Lyes Saadi <fedora@lyes.eu> - 1.2.60-1
- Update to 1.2.60
- Using new Python guidelines

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.58-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.58-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.58-1
- build(update): 1.2.58

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.2.46-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.46-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.46-1
- Update to 1.2.46 (that was quick!)

* Sun Jul 26 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.44-1
- Update to 1.2.44

* Fri Jul 03 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.42-1
- Update to 1.2.42

* Fri May 29 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.40-1
- Update to 1.2.40

* Tue May 26 2020 Miro Hrončok <mhroncok@redhat.com> - 1.2.38-2
- Rebuilt for Python 3.9

* Thu May 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.38-1
- Update to 1.2.38

* Tue May 05 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.36-1
- Update to 1.2.36

* Mon Apr 27 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.34-1
- Update to 1.2.34

* Fri Apr 03 2020 Lyes Saadi <fedora@lyes.eu> - 1.2.33-1
- Update to 1.2.32 (GitHub) or 1.2.33 (PyPI)...

* Wed Apr 01 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.30-1
- Update to 1.2.30

* Tue Mar 10 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.26-1
- Update to 1.2.26

* Fri Feb 21 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.24-1
- Initial package

